package edu.mermet.tp9.fenetres;

import javax.swing.*;
import java.awt.*;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class Suggestion extends JFrame {

    private Properties properties;

    public Suggestion(String arg){
        init(arg);
        pack();
        setVisible(true);
    }

    private void init(String arg) {
        properties = new Properties();
        setUndecorated(true);
        getRootPane().setWindowDecorationStyle(JRootPane.NONE);

        JPanel boutons = new JPanel();
        JPanel texteSuggestion = new JPanel();
        JButton fermer = new JButton("Fermer");
        JLabel texte = new JLabel("");
        fermer.addActionListener(a->{
            dispose();
        });
        JButton pasAfficher = new JButton("Ne plus afficher");

        pasAfficher.addActionListener(a->{
            properties.setProperty("Affichage","NON");
            /*try{
                File file;
                if(arg.equals("")){
                    file = new File(System.getProperty("user.home")+"/.ihm/"+System.getProperties().getProperty("user.name")+".xml");
                }else{
                    file = new File(System.getProperty("user.home")+"/.ihm/"+arg+".xml");
                }

                FileOutputStream fileOut = new FileOutputStream(file);
                properties.storeToXML(fileOut, "AffichageSpam");
                fileOut.close();
            } catch (IOException e) {
                e.printStackTrace();
            }*/

            dispose();
        });

        boutons.add(fermer);
        boutons.add(pasAfficher);
        add(boutons, BorderLayout.SOUTH);
        String diap = "L'option 'Diaporama' permet d'afficher un diaporama du Cotentin";
        String conv = "l'option 'conversion' permet de convertir des degrés Celsius en Farenheit";
        String text = "L'option 'Saisie de texte' permet de saisir un texte et de le mettre soit en gras soit en rouge soit les deux";
        String btn   = "L'option 'Boutons' permet d'ouvrir les autres fenetres";
        List<String> suggestion = new ArrayList<>();
        suggestion.add(diap);
        suggestion.add(conv);
        suggestion.add(text);
        suggestion.add(btn);

        texte.setText(suggestion.get((int) (Math.random() * 4)));
        texteSuggestion.add(texte);
        add(texteSuggestion,BorderLayout.NORTH);

    }

    public Properties getProperties(){
        return this.properties;
    }
}
