package edu.mermet.tp9.fenetres;

import javax.swing.*;
import java.awt.*;
import java.io.*;
import java.util.ArrayList;

public class HowTo extends JDialog {
    public HowTo() {
        setTitle("Comment faire ?");
        init();
        setSize(700, 300);
        //pack();
        setVisible(true);
    }

    public void init() {
        setLayout(new BorderLayout());

        //--- Liste des guides à gauche ---
        ArrayList<String> arrayList = new ArrayList<String>();
        try{
            BufferedReader br = new BufferedReader(new FileReader("src/main/java/edu/mermet/tp9/HowTo/titres.properties"));
            String line;
            while ((line = br.readLine()) != null) {
                arrayList.add(line);
            }
            br.close();
        } catch (IOException e){
            e.printStackTrace();}

        String[] listeTitres = new String[arrayList.size()];
        for(int i =0; i < arrayList.size(); i++)
            listeTitres[i] = arrayList.get(i);
        JList<String> listeGuides = new JList<>(listeTitres);
        add(listeGuides, BorderLayout.WEST);

        //--- Texte au centre ---
        //--- On crée le composant d'affichage JEditorPane ---
        JPanel panel = new JPanel(new FlowLayout(FlowLayout.LEFT));
        JLabel texte = new JLabel("Séléctionnez un titre à gauche.");
        panel.add(texte);
        add(panel, BorderLayout.CENTER);

        //--- Listener ---
        listeGuides.addListSelectionListener(a -> {

            /*String ligne = "";
            String page  = "";
            BufferedReader br;
            for(int i = 0; i < listeTitres.length; i++){
                if(listeGuides.getSelectedValue().equals(listeTitres[i])){
                    try{
                         br = new BufferedReader(new FileReader("src/main/java/edu/mermet/tp9/HowTo/textes.properties"));
                        while ((ligne = br.readLine()) != null) {
                            page += ligne;
                        }
                        if(i>0){
                            ligne = br.readLine();

                            while ((ligne = br.readLine()) != null) {
                                page += ligne;
                            }
                        }
                        br.close();
                    } catch (IOException e){
                        e.printStackTrace();}
                    texte.setText(page);
                }
            }*/


            switch (listeGuides.getSelectedValue()){
                case "Conversion Celsius → Farenheit": texte.setText("<html><h2>Ouvrir Conversion Celsius → Farenheit</h2>" +
                        "<p>Appuiyes su CTRL+C <br />" +
                        "ou <br />" +
                        "cliquez sur Applications/Conversion Celsius → Farenheit</p>" +
                        "<h2>Comment l'utiliser</h2>" +
                        "<p>Dans la fenêtre interne, saisissez un nombre <br />" +
                        "dans le champs \"Celsius\" puis cliquez sur \"Convertir\".<br />" +
                        "Le résultat s'affichera dans le champs \"Farenheit\".</p></html>");
                    break;

                case "Conversion Farenheit → Celsius":
                    texte.setText("<html><h2>Ouvrir Conversion Celsius → Farenheit</h2>" +
                    "<p>Appuiyes su CTRL+T <br />" +
                    "ou <br />" +
                    "cliquez sur Applications/Conversion Celsius → Farenheit</p>" +
                    "<h2>Comment l'utiliser</h2>" +
                    "<p>Dans la fenêtre interne, saisissez un nombre <br />" +
                    "dans le champs \"Farenheit\" puis cliquez sur \"Convertir\".<br />" +
                    "Le résultat s'affichera dans le champs \"Celsius\".</p></html>");
                    break;

                case "Mettre du texte en gras dans la fenêtre de saisie de texte":
                    texte.setText("<html><h2>Ouvrir Saisie de texte</h2>" +
                    "<p>Appuiyes su CTRL+D <br />" +
                    "ou <br />" +
                    "cliquez sur Applications/Saisie de texte</p>" +
                    "<h2>Comment l'utiliser</h2>" +
                    "<p>Dans la fenêtre interne, saisissez un texte <br />" +
                    "dans la zone de saisie puis cochez la case \"gras\".<br />" +
                    "Le texte deviendra automatiquement gras.</p></html>");
                    break;

                case "Changer la couleur du texte dans la fenêtre de saisie de texte":
                    texte.setText("<html><h2>Ouvrir Saisie de texte</h2>" +
                            "<p>Appuiyes su CTRL+D <br />" +
                            "ou <br />" +
                            "cliquez sur Applications/Saisie de texte</p>" +
                            "<h2>Comment l'utiliser</h2>" +
                            "<p>Dans la fenêtre interne, saisissez un texte <br />" +
                            "dans la zone de saisie puis cochez la case \"rouge\".<br />" +
                            "Le texte deviendra automatiquement rouge.</p></html>");
                    break;

                }
        });
    }

    public static void main(String... args) {
        SwingUtilities.invokeLater(HowTo::new);
    }
}
